/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: info.h,v 1.4 2002/09/15 12:27:16 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2002  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#ifndef _POPULAR_INFO_H
#define _POPULAR_INFO_H

struct backend_state_info *find_backend_state_info(backend_state_t t, const char *n);
struct virt_serv_state_info *find_virt_serv_state_info(virt_serv_state_t t, const char *n);
struct protocol_info *find_protocol_info(protocol_t t, const char *n);
int is_tls_protocol(protocol_t t);
struct session_state_info *find_session_state_info(session_state_t t, const char *n);
struct debug_info *find_debug_info(int t, const char *n);
char *print_debug_list(int debug);


#endif /* _POPULAR_INFO_H */


/** THE END *****************************************************************/
